/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2005 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Client.java,v 1.6 2005/12/16 08:43:28 benoitf Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas.ejb3.examples.entitybean;

import javax.naming.Context;
import javax.naming.InitialContext;

/**
 * Simple client of the stateless.
 * @author Florent Benoit
 */
public final class Client {

    /**
     * Utility class.
     */
    private Client() {

    }

    /**
     * Main method.
     * @param args the arguments (not required)
     * @throws Exception if exception is found.
     */
    public static void main(final String[] args) throws Exception {
        // if user don't use jclient/client container
        System.setProperty(Context.INITIAL_CONTEXT_FACTORY, "org.objectweb.carol.jndi.spi.MultiOrbInitialContextFactory");

        Context initialContext = new InitialContext();
        SessionFacadeRemote facadeBean = (SessionFacadeRemote) initialContext.lookup(SessionFacadeRemote.class.getName());

        // Adds some employees
        Employee florent = facadeBean.findEmployee(1);
        if (florent == null) {
            facadeBean.addEmployee(1, "Florent");
        }
        Employee whale = facadeBean.findEmployee(2);
        if (whale == null) {
            facadeBean.addEmployee(2, "Whale");
        }

        // Try to get employee with id 2
        Employee employee = facadeBean.findEmployee(2);
        System.out.println("Employee with id 2 = " + employee.getName());

    }

}
