/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2005 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: StatefulRemote.java,v 1.1 2005/12/09 18:15:17 benoitf Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas.ejb3.examples.statefulbean;


/**
 * Simple interface for a stateful bean.
 * @author Florent Benoit
 */
public interface StatefulRemote {

    /**
     * Business method implementation.
     * @param shares nb of shares to be bought
     */
    void buy(int shares);

    /**
     * Business method implementation.
     * @return the nb of shares bought
     */
    int read();

}
